#!/bin/bash

PROGRAM=./DTS2020011908218
pid=0

do_test()
{
	./$PROGRAM > /dev/null &
	pid=$!
	if [ $pid -eq 0 ]; then
		return 1
	fi
	
	echo "start TEST pid=$pid"
	start_time=`date +%s`
	
	echo "start time = $start_time"	
	while true then
	do
		end_time=`date +%s`
		diff=$((end_time-start_time))
		if [ $diff -gt $1 ];then
			echo "end time = $end_time"	
			echo "diff time = $diff"	
			break
		fi
	done

	return 0
}

do_test 10
ret=$?
if [ $pid -ne 0 ];then
	#kill -TERM $pid
    #pstree $pid -p| awk -F"[()]" '{print $2}' | xargs kill -9
    #ps -aux | grep DTS202001190821 | grep -v grep | grep -v sh | awk '{print $2}' | xargs kill -9
fi

if [ $ret -eq 0 ];then
	echo "DTS2020011908218 success"
else
	echo "DTS2020011908218 failed"
fi

ps -aux | grep DTS202001190821 | grep -v grep | grep -v sh
exit $ret

